R12 SDK compile Errors

THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

On 04/09/2010 at 12:05, xxxxxxxx wrote:

User Information:
Cinema 4D Version:   R12 
Platform:      Mac OSX  ; 
Language(s) :     C++  ;

---------
Howdy,

I'm getting 2 compile errors when trying to compile the R12 SDK from the demo:

/Developer/usr/bin/libtool filed with exit code 1

... and:

/Developer/usr/bin/g++-4.2 failed with exit code 1

I'm on a 2Ghz intel core duo Macbook pro running MacOSX 10.6.4, using Xcode 3.2.3.

Adios,
Cactus Dan

THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

On 04/09/2010 at 12:25, xxxxxxxx wrote:

Howdy,

OK, never mind. It was a simple folder permissions issue. DOH!

Adios,
Cactus Dan

THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

On 04/09/2010 at 12:31, xxxxxxxx wrote:

Hey Dan,

I recall me having the same problem, yet I dont recall how I solved it...

Can you maybe point out which file permissions you had to change in case anyone else(likely me) runs into this? 🙂

THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

On 04/09/2010 at 16:54, xxxxxxxx wrote:

Howdy,

I just changed the permisions of the entire Cinema 4D R12 Demo folder, by selecting it, and in the Get Info dialog, change the permission to Read & Write, and then selecting "Apply to enclosed items..." from the popup menu at the bottom of the info dialog.

Adios
Cactus Dan

THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

On 04/09/2010 at 19:20, xxxxxxxx wrote:

Down with permissions! :zipper_mouth:

THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

On 06/09/2010 at 01:35, xxxxxxxx wrote:

Yeah, I also had this, some months ago 😉
Permissions, of course.

THE POST BELOW IS MORE THAN 5 YEARS OLD. RELATED SUPPORT INFORMATION MIGHT BE OUTDATED OR DEPRECATED

On 06/09/2010 at 09:12, xxxxxxxx wrote:

We'll fix this with one of the next online updates.

Right now on the Mac permissions for the folders 'api_lib' and 'cinema4dsdk' need to be manually corrected.